<?php
/**
* @package phpBB Extension - Afrorus Internal Linking
* @copyright (c) 2022 Afrorus - Afrorus.tk
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace afrorus\intlink\acp;

class intlink_module {

	public $u_action;
	protected $action;
	protected $table;

	public function main ($id, $mode)
	{
		global $db, $language, $template, $cache, $request;
		global $config, $phpbb;
		global $table_prefix, $phpbb_log;

		$language->add_lang('intlink', 'afrorus/intlink');
		$this->tpl_name = 'acp_intlink_body';
		$this->page_title = $language->lang('ACP_INTLINK_TITLE');

		$action = $request->variable ('action', '');
		$update_action = false;
		$form_key = 'afrorus_intlink';

		if ($request->is_set_post('submit'))
		{
			if (!check_form_key($form_key))
			{
				trigger_error('FORM_INVALID');
			}

			$forums = $request->variable ('intlink_forums', 0);
			$topics = $request->variable ('intlink_topics', 0);
			$len = $request->variable('intlink_len', 0);
			$only_this = $request->variable('intlink_only_this', 0);

			$config->set('afrorus_intlink_len', $len);
			$config->set('afrorus_intlink_only_this', $only_this);

			if ($forums && $topics)
			{
				$config->set ('afrorus_intlink', 3);
			}
			if (!$forums && $topics)
			{
				$config->set ('afrorus_intlink', 2);
			}
			if ($forums && !$topics)
			{
				$config->set ('afrorus_intlink', 1);
			}
			if (!$forums && !$topics)
			{
				$config->set ('afrorus_intlink', 0);
			}
			trigger_error($language->lang('ACP_INTLINK_UPDATED') . adm_back_link($this->u_action));
		}

		add_form_key ($form_key);

		$options = $config['afrorus_intlink'];
		$len = $config['afrorus_intlink_len'];
		$only_this = $config['afrorus_intlink_only_this'];
		
		switch ($options)
		{
			case 0 :
				$forums = 0;
				$topics = 0;
			break;
			case 1 :
				$forums = 1;
				$topics = 0;
			break;
			case 2 :
				$forums = 0;
				$topics = 1;
			break;
			case 3 :
				$forums = 1;
				$topics = 1;
			break;
		}
		$template->assign_vars(array(
			'F_ACTION'		=> $this->u_action . '&amp;action=forums',
			'R_ACTION'		=> $this->u_action . '&amp;action=recursion',
			'S_CONFIG_PAGE'	=> true,
			'FORUMS_YES'		=> $forums == 1 ? 'checked="checked"' : '',
			'FORUMS_NO'		=> $forums == 0 ? 'checked="checked"' : '',
			'TOPICS_YES'		=> $topics == 1 ? 'checked="checked"' : '',
			'TOPICS_NO'		=> $topics == 0 ? 'checked="checked"' : '',
			'ONLY_THIS_YES'		=> $only_this == 1 ? 'checked="checked"' : '',
			'ONLY_THIS_NO'		=> $only_this == 0 ? 'checked="checked"' : '',
			'LEN'			=> $len,
			));
	}
}
