<?php
/**
*
* @package phpBB Extension - Afrorus Internal Linking
* @copyright (c) 2022 Afrorus - Afrorus.tk
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace afrorus\intlink\migrations;

class migration_1 extends \phpbb\db\migration\migration
{

	public function effectively_installed()
	{
		return isset($this->config['aforus_intlink']);
	}


	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v310\alpha2');
	}


	public function update_data()
	{
		return array(
			array('module.add', array('acp', 'ACP_CAT_DOT_MODS', 'ACP_INTLINK_TITLE')),
			array('module.add', array('acp', 'ACP_INTLINK_TITLE', array(
					'module_basename'	=> '\afrorus\intlink\acp\intlink_module',
					'auth'			=> 'ext_afrorus/intlink && acl_a_board',
					'modes'			=> array('settings'),
					),
			)),

			array('config.add', array('afrorus_intlink', 0)),
			array('config.add', array('afrorus_intlink_len', 10)),
			array('config.add', array('afrorus_intlink_only_this', 0)),
		);
	}

}
